
set( toyExperiment_VERSION 0.01.02 )
set( toyExperiment_UPS_VERSION v0_01_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( art  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib  )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp  )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility  )
    find_ups_product( tbb  )
    find_ups_root(  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( TOYEXPERIMENT_UTILITIES  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Utilities.so )
      set( TOYEXPERIMENT_RECODATAPRODUCTS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_RecoDataProducts.so )
      set( TOYEXPERIMENT_RECODATAPRODUCTS_DICT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_RecoDataProducts_dict.so )
      set( TOYEXPERIMENT_MCDATAPRODUCTS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_MCDataProducts.so )
      set( TOYEXPERIMENT_MCDATAPRODUCTS_DICT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_MCDataProducts_dict.so )
      set( TOYEXPERIMENT_RECONSTRUCTION  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Reconstruction.so )
      set( TOYEXPERIMENT_RECONSTRUCTION_FINDANDFITHELIX_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Reconstruction_FindAndFitHelix_module.so )
      set( TOYEXPERIMENT_SIMULATIONS_EVENTGENERATOR_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_EventGenerator_module.so )
      set( TOYEXPERIMENT_SIMULATIONS_DETECTORSIMULATION_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_DetectorSimulation_module.so )
      set( TOYEXPERIMENT_SIMULATIONS_HITMAKER_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_HitMaker_module.so )
      set( TOYEXPERIMENT_ANALYZERS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers.so )
      set( TOYEXPERIMENT_ANALYZERS_HELLOWORLD_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_HelloWorld_module.so )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTGENPARTICLES_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectGenParticles_module.so )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTINTERSECTIONS_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectIntersections_module.so )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTTRKHITS_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectTrkHits_module.so )
      set( TOYEXPERIMENT_ANALYZERS_INSPECTFITTEDHELIX_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectFittedHelix_module.so )
      set( TOYEXPERIMENT_ANALYZERS_MASSPLOT_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_MassPlot_module.so )
      set( TOYEXPERIMENT_ANALYZERS_EVENTDISPLAY_MODULE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_EventDisplay_module.so )
      set( TOYEXPERIMENT_DATAPRODUCTS_DICT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_DataProducts_dict.so )
      set( TOYEXPERIMENT_PDT  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_PDT.so )
      set( TOYEXPERIMENT_PDT_PDT_SERVICE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_PDT_PDT_service.so )
      set( TOYEXPERIMENT_CONDITIONS  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Conditions.so )
      set( TOYEXPERIMENT_CONDITIONS_CONDITIONS_SERVICE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Conditions_Conditions_service.so )
      set( TOYEXPERIMENT_GEOMETRY  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Geometry.so )
      set( TOYEXPERIMENT_GEOMETRY_GEOMETRY_SERVICE  $ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Geometry_Geometry_service.so )
      include_directories ( $ENV{TOYEXPERIMENT_INC} )

check_required_components(toyExperiment)

